Bug 1923320 - Global Registration: of FIPS RHEL8 host fails with Transaction error: no digest
Summary: Global Registration: of FIPS RHEL8 host fails with Transaction error: no digest
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Registration
Version: 6.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.10.0
Assignee: satellite6-bugs
QA Contact: Stephen Wadeley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-02-01 16:34 UTC by Peter Ondrejka
Modified: 2022-05-05 14:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-16 14:09:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 31992 0 Normal New Global Registration: of FIPS RHEL8 host fails with Transaction error: no digest 2021-03-02 14:14:43 UTC
Red Hat Knowledge Base (Solution) 5984071 0 None None None 2021-04-22 01:36:13 UTC
Red Hat Product Errata RHSA-2021:4702 0 None None None 2021-11-16 14:10:05 UTC

Description Peter Ondrejka 2021-02-01 16:34:31 UTC
Description of problem:

Run global registration curl command on FIPS-enabled RHEL8 host. The process fails on katello-ca-consumer installation step with:

Running transaction test
Error: Transaction test error:
  package katello-ca-consumer-hostname.redhat.com-1.0-1.noarch does not verify: no digest

This has been described before for RHEL8 FIPS, see https://access.redhat.com/solutions/4460971

The suggested workaround from the kcs is using "rpm -ivh --nodigest --nofiledigest" but I'm not sure if we even want to handle the issue within the template.

Version-Release number of selected component (if applicable):
Satellite 6.9 snap 11

How reproducible:
always

Actual results:
described above

Expected results:
To be establised. Probably some logic in the template to trigger a workaround or at least a user warning and link to the kcs. Alternatively, we could find a way to rebuild  katello-ca-consumer to avoid digest-check.

Additional info:
Non-FIPS RHEL8 works as expected

Comment 1 Marek Hulan 2021-02-02 08:18:14 UTC
I think for 6.9 we should extend the KCS with the note about the registration and the fact it fails with this error. We can also add instructions how to modify the template. That would be

1) clone the Global Registration template, call it e.g. Global Registration FIPS
2) change the line "yum localinstall $CONSUMER_RPM -y" to "rpm -ivh --nodigest --nofiledigest $CONSUMER_RPM" (please test before publish, I don't have the env at hand)
3) start using this template by selecting it at Settings -> Provisioning -> Default Global registration template, select the "Global Registration FIPS"

The global template can't be tweaked per OS. We could easily detect this by checking

> sysctl crypto.fips_enabled

if it returns 1, it means it's enabled and we should use the rpm command, otherwise we can use yum.

Comment 2 Leos Stejskal 2021-03-02 14:14:41 UTC
Created redmine issue https://projects.theforeman.org/issues/31992 from this bug

Comment 3 Bryan Kearney 2021-03-16 16:04:51 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/31992 has been resolved.

Comment 9 errata-xmlrpc 2021-11-16 14:09:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.10 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:4702


Note You need to log in before you can comment on or make changes to this bug.